Imports Microsoft.VisualBasic

Public Class SiteInfo
  Private _siteCode As String
    Private _siteName As String
    Private _latitude As String
    Private _longitude As String
    Private _network As String
    Private _variableInfo As ArrayList


    Public Sub New()
        _siteCode = ""
        _siteName = ""
        _latitude = ""
        _longitude = ""
        _network = ""
        _variableInfo = New ArrayList
    End Sub

    Public Property network()
        Get
            Return _network
        End Get
        Set(ByVal value)
            _network = value
        End Set
    End Property
    Public Property siteCode()
        Get
            Return _siteCode
        End Get
        Set(ByVal value)
            _siteCode = value
        End Set
    End Property

    Public Property siteName()
        Get
            Return _siteName
        End Get
        Set(ByVal value)
            _siteName = value
        End Set
    End Property

    Public Property latitude()
        Get
            Return _latitude
        End Get
        Set(ByVal value)
            _latitude = value
        End Set
    End Property

    Public Property longitude()
        Get
            Return _longitude
        End Get
        Set(ByVal value)
            _longitude = value
        End Set
    End Property

    Public Property variableInfo() As ArrayList
        Get
            Return _variableInfo
        End Get
        Set(ByVal value As ArrayList)
            _variableInfo = value
        End Set
    End Property

    Public Sub addVariableInfo(ByVal varName As String, ByVal varCode As String, ByVal stDt As String, ByVal endDt As String, ByVal strCount As String)
        If _variableInfo Is Nothing Then
            _variableInfo = New ArrayList
        End If

        Dim newVariableInfo As New VariableInfo

        With newVariableInfo
            .variableName = varName
            .variableCode = varCode
            .beginDt = stDt
            .endDt = endDt
            .count = strCount
        End With
        _variableInfo.Add(newVariableInfo)
    End Sub

  
End Class
